body {
    -ms-overflow-style: none !important; /* IE and Edge */
    scrollbar-width: none !important; /* Firefox */

    &::-webkit-scrollbar {
        display: none !important; /* Chrome, Safari and Opera */
    }
}

.page{
    &-title {
        position: relative;
        background-color: #f4f5f7;
        height: 30px;
        margin: 20px 10px;

        &:after {
            position: absolute;
            left: 0px;
            bottom: -10px;
            display: block;
            content: '';
            height: 20px;
            width: 100%;
            border-bottom: 1px solid black !important;
        }

        & h3 {
            position: absolute;
            left: 10px;
            bottom: 0px;
            display: inline;
            white-space: nowrap;
            background-color: #5ba4cf;
            padding: 5px 30px;
        }

        &-center h3 {
            left: 50%;
            transform: translate(-50%, 0);
        }
    }
    
    &-subtitle {
        position: relative;
        width: 100%;
        margin: 25px 0;

        &:after {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            display: block;
            content: '';
            height: 125%;
            width: 100%;
            border-top: 2px solid #5ba4cf !important;
            border-bottom: 2px solid #5ba4cf !important;
        }

        & h3 {
            background-color: #5ba4cf;
            padding: 5px 30px;
        }

        &-center h3 {
            text-align: center;
        }
    }
}

.page-section {
    margin: 30px 0px 10px 0px;
}


/* background colour of the table */
.table { 
    & td, & th {
        background-color: #fff;  
    }
} 

/* border colour of the table */
table {    
    &.blackborder {
        & td, & th {
            border-color: black !important; 
        }
    }
}

/* scrollable table */
.table-wrap {
    height: 450px;
    overflow: scroll;
    white-space: nowrap;
    width: 100%;
}

/* change the colour of the magnifier icon */
.btn-outline {
    &.customclr-btn {
        border-color: lightgrey;
    }
}

/* radio styling (OK and NG) */
.status {
    column-span: 2;
    text-align: center;
  }
.radio {
    width: 100%;
    height: auto !important;
    background: #454857;
    padding: 4px;
    border-radius: 3px;

    & input {
        width: 50%;
        appearance: none;
        outline: none;
        cursor: pointer;
        margin: 0;
        border-radius: 2px;
        padding: 4px;
        background: #454857;
        color: white;
        font-size: 14px;
        margin-right: -5px !important;
        white-space: wrap;

        &:before {
            content: attr(label);
            display: inline-block;
            text-align: center;
            width: 100%;
        }
        &:checked {
            background-color: #5ba4cf;
            color: #fff;
        }
    }
}

/* Fixed all column same width */
.col-custom-1 {
    width: 70%;
}

table.table-custom td {
    padding: 0;
    border: none;
}